/* -----------------------------------------------------------------------------
 * Copyright (c) 2013 - 2015 ARM Ltd.
 *
 * This software is provided 'as-is', without any express or implied warranty. 
 * In no event will the authors be held liable for any damages arising from 
 * the use of this software. Permission is granted to anyone to use this 
 * software for any purpose, including commercial applications, and to alter 
 * it and redistribute it freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not 
 *    claim that you wrote the original software. If you use this software in
 *    a product, an acknowledgment in the product documentation would be 
 *    appreciated but is not required. 
 * 
 * 2. Altered source versions must be plainly marked as such, and must not be 
 *    misrepresented as being the original software. 
 *
 * 3. This notice may not be removed or altered from any source distribution.
 *   
 *
 * $Date:        28. April 2015
 * $Revision:    V1.01
 *  
 * Project:      Ethernet Media Access (MAC) Definitions for STM32F4xx
 * --------------------------------------------------------------------------*/

#ifndef __GMAC_SAM71_H
#define __GMAC_SAM71_H

#include "RTE_Device.h"
#include "RTE_Components.h"
#include "Driver_ETH_MAC.h"
#include <string.h>

#if (defined(RTE_Drivers_Ethernet_MAC) && (RTE_ETH == 0))
  #error "Ethernet not configured in RTE_Device.h!"
#endif

#endif /* __GMAC_SAM71_H */
